List training jobs
curl --request GET \
--url https://{tenant}-api.mathfi.ai/api/v1/training \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}-api.mathfi.ai/api/v1/training"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"trainingJobs": [
{
"trainingJobKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"scalingFactor": 123,
"targetPerformance": 123,
"datasetKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"datasetName": "<string>",
"modelKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"achievedPerformance": 123,
"trainingPerformance": 123,
"testPerformance": 123,
"createdOn": "<string>"
}
],
"offset": 123,
"limit": 123,
"total": 123,
"nextOffset": 123
}Training
List training jobs
List all training
GET
/
api
/
v1
/
training
List training jobs
curl --request GET \
--url https://{tenant}-api.mathfi.ai/api/v1/training \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}-api.mathfi.ai/api/v1/training"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"trainingJobs": [
{
"trainingJobKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"scalingFactor": 123,
"targetPerformance": 123,
"datasetKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"datasetName": "<string>",
"modelKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"achievedPerformance": 123,
"trainingPerformance": 123,
"testPerformance": 123,
"createdOn": "<string>"
}
],
"offset": 123,
"limit": 123,
"total": 123,
"nextOffset": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 0Required range:
x >= 1